[GOAL] Hovercards/Popups/Link preview on mobileweb
Open, Stalled, HighPublic

Description

This task is currently on hold while we focus on desktop hovercards (T70860)

Summary

A user clicking on a link on the mobile web is shown a preview of the destination so that they can learn a quick definition and choose whether or not to continue on to the destination.

Outcome

Link preview launched on mobile web beta (using code shared by desktop hovercards) [1]. On all projects. Desktop hovercards stable and scalable. Increase in link clicking is measurable and initial (maybe beta) impact available. Link preview only shows on internal wiki links (not interwiki).

Goal Visibility

This is our external goal for the quarter

Rationale

Launching on Android has shown an increase in engagement and web survey data shows overwhelmingly positive feedback. Launching on mobile-web first, but working on shared desktop/mobile code is a good first step towards cleaner codebases.

Success Metrics

Overall clicks on blue links increase by 5%. The hypothesis is that there are two types of use cases for clicking a blue link:

  1. I want to read the article
  2. I want to know what this is (and a simple definition will do)

If we can lower the cost for group #2, without raising the cost too much for Group #1, users overall will see a higher reward/cost for clicking on links and will click on more links. There are secondary, descriptive metrics to ensure that Group #1 users aren't having a hard time, but this is the primary driver of whether or not this is adding user value.

External Dependencies

Community Liaisons are instrumental for this rollout

Unknowns

  • Since the most recent in-production launch on Android has lower engagement than we expected, they will be undertaking more a/b/c testing to compare new designs and we are awaiting the winner of that test.
  • A risk is also that the community of editors or readers will not like this feature

Product Plan

Prototyping

We will be relying on the results of the next Android test to develop a design from there.

MVP

A user clicking on a link on the mobile web is shown a preview of the destinaton so that they can learn a quick definition and choose whether or not to continue on to the destination.

User Stories

As a user on the mobile site
I want to be able to view previews of links before clicking on them
So that I can get context quicker

User experience should match Android experience (though the additional menu items that we see in the Android version are not necessary to the MVP)

Metrics Implementation

We need to start tracking blue link clicks NOW
We will want to track:

  • clicks on blue links
  • clicks to continue to article
  • clicks to dismiss
  • time preview is open (when closed)
  • time preview is open (when user continues to article)

Timeline Estimate

  • Begin measuring blue-link clicks
  • Get design from Android team ( 11/1/15?)
  • Roll out A/B test on Mobile web beta, early December
  • Solidify design for rollout in January (end of December)

Delivery Estimate

In order to avoid interference with fundraising objectives, we are now we are targeting end of December for launch on En Wikipedia mobile web.

Notes: "Bernd has worked on a definition to capture link previews as ""impressions"" in the Refinery scripts. Something similar would likely need to be planned for the web, in partnership with Analytics.

Edge cache performance needs to be dealt with.

Alternatives include: growing HoverCards to work on mobile web, using RESTbase, or some combination thereof."

See T100726 for some discussion of the alpha feature.


Acceptance criteria:

  • Code for this feature must live in the Hovercards extension

[1] https://www.mediawiki.org/wiki/Extension:Popups

Related Objects

StatusAssignedTask
StalledJdlrobson
DeclinedJdlrobson
Resolvedovasileva
InvalidNone
ResolvedNirzar
ResolvedJdlrobson
DuplicateNone
ResolvedJKatzWMF
InvalidJdlrobson
InvalidJdlrobson
InvalidNone
InvalidNone
DeclinedNone
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)Sep 3 2015, 10:12 PM
Jdlrobson added a project: Page-Previews.
Jdlrobson set Security to None.
Jdlrobson moved this task from Backlog to Epics on the MobileFrontend board.Sep 4 2015, 5:51 PM
Jdlrobson renamed this task from [EPIC] Hovercards to [EPIC] Hovercards on mobile.Sep 18 2015, 6:38 PM
Jdlrobson triaged this task as High priority.
Jdlrobson renamed this task from [EPIC] Hovercards on mobile to [EPIC] Hovercards/Popups/Link preview on mobile.Sep 18 2015, 11:44 PM
KLans_WMF updated the task description. (Show Details)Sep 21 2015, 4:18 PM
Jdlrobson updated the task description. (Show Details)Sep 21 2015, 4:22 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Prtksxna.

Ping @Prtksxna as the current extension developer to know we are planning this.

@JKatzWMF can you weigh in on testing/rollout plan?

JKatzWMF renamed this task from [EPIC] Hovercards/Popups/Link preview on mobile to [EPIC] Hovercards/Popups/Link preview on mobileweb.Sep 24 2015, 5:46 PM
JKatzWMF updated the task description. (Show Details)Oct 1 2015, 11:42 PM

@KLans_WMF to close the loop on testing/rollout, I think the new description should cover this. Let me know if not.

dr0ptp4kt moved this task from Backlog to Current Quarter on the Reading-Admin board.
Jdlrobson claimed this task.Nov 3 2015, 6:41 PM
Tbayer added a subscriber: Tbayer.Nov 22 2015, 4:31 AM
Jdlrobson changed the status of subtask T113243: Implement link preview on mobile beta from Open to Stalled.Dec 22 2015, 12:08 AM
Florian changed the status of subtask T113243: Implement link preview on mobile beta from Stalled to Open.Dec 22 2015, 2:54 PM
phuedx renamed this task from [EPIC] Hovercards/Popups/Link preview on mobileweb to [GOAL] Hovercards/Popups/Link preview on mobileweb.Jan 12 2016, 5:42 PM
phuedx moved this task from To classify to 2015-16 Q3 Goals on the Reading-Web-Planning board.

This should be merged with T70860.

This should be merged with T70860.

I thought T70860 was specifically for desktop (as the BetaFeature only has code for desktop). If that is truly the case I think we should keep them as separate tasks.

@Prtksxna: You're right; this goal and T70860 are distinct.

Jdlrobson changed the status of subtask T113243: Implement link preview on mobile beta from Open to Stalled.Jan 28 2016, 11:44 PM
Florian changed the status of subtask T113243: Implement link preview on mobile beta from Stalled to Open.Jan 29 2016, 5:09 PM
JKatzWMF changed the task status from Open to Stalled.May 18 2016, 12:55 AM
JKatzWMF updated the task description. (Show Details)
Prtksxna removed a subscriber: Prtksxna.Mar 7 2017, 2:05 AM